Subject: Re: bug#38038: 27.0.50; Emacs freezes opening tabs.

From: Ergus <[email-masked]>
Date: Sat, 2 Nov 2019 23:55:18 +0100

On Sun, Nov 03, 2019 at 12:20:30AM +0200, Juri Linkov wrote:
>> Hi when using emacs in gui I can't open a new tab if I add these lines
>> to my config:
>>
>> (set-face-attribute 'tab-bar-tab nil
>>        :weight 'ultra-bold :underline t)
>
>Does Emacs freeze when you set the 'default' face to ultra-bold underline?
>
>(set-face-attribute 'default nil
>  :weight 'ultra-bold :underline t)
>
>When I tried, it signals '(wrong-type-argument bufferp nil)'
>in "command-error-default-function" and goes into infinite loop.
>I have no idea what is wrong.

Hi

I commented all my `set-face-attribute` lines and it works fine.

Then I added only:

(set-face-attribute 'default nil :weight 'ultra-bold :underline t)

and it also freezes when opening a tab.